Bug 1595100 - denied { map } comm="mdadm" path="/usr/sbin/mdadm"
Summary: denied { map } comm="mdadm" path="/usr/sbin/mdadm"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 07:09 UTC by Martin Pitt
Modified: 2018-08-08 15:33 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-284.37.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-08 15:33:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Pitt 2018-06-26 07:09:34 UTC
Description of problem: A recent Fedora 27 update [1] now causes SELinux denial messages for mdadm:

kernel: md: recovery of RAID array md127
audit[6677]: AVC avc:  denied  { map } for  pid=6677 comm="mdadm" path="/usr/sbin/mdadm" dev="dm-0" ino=10256363 scontext=system_u:system_r:pcp_pmcd_t:s0 tcontext=system_u:object_r:mdadm_exec_t:s0 tclass=file permissive=0


Version-Release number of selected component (if applicable):

selinux-policy 3.13.1-283.34.fc27
mdadm 4.0-5.fc27


[1] https://github.com/cockpit-project/cockpit/pull/9502

Comment 1 Fedora Update System 2018-07-27 09:22:11 UTC
selinux-policy-3.13.1-284.37.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4bb4de2d86

Comment 2 Fedora Update System 2018-07-27 15:38:49 UTC
selinux-policy-3.13.1-284.37.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4bb4de2d86

Comment 3 Fedora Update System 2018-08-08 15:33:38 UTC
selinux-policy-3.13.1-284.37.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.